"Le script ne répond pas"...

fatalitas

Membre junior
22 Septembre 2007
30
1
Bonjour,

J'ai cherché mais pas trouvé le sujet traité ailleurs alors, voilà.

Depuis quelques mois, j'ai de plus en plus souvent cette fenêtre qui s'ouvre lorsque j'ouvre une page sur Firefox. Au début, je croyais que c'était parce que j'avais de nombreuses applications ouvertes et que mon vieux Mac chauffait. Mais cette fenêtre s'ouvre même lorsque je n'ai que Firefox en marche. En revanche, il me semble qu'elle se déclenche principalement sur des pages "lourdes", avec beaucoup de pub.

Par ailleurs, j'ai de plus en plus souvent lors d'ouverture de page web le disque multicolore qui se déclenche et la page se retrouve bloquée en plein milieu; ça peut durer des heures si je ne "force pas à quitter" l'application.

Avez-vous une explication pour m'aider?
Mon Mac est un Powerbook 17' qui date de 2004: en bout de course?
 

pascalformac

Légende
Club MacG
23 Novembre 2003
58 699
1 814
bonjour
est ce que ce n'st pas une fenetre indiquant
un script est en cours - bloqué blabla
avec DEUX choix bouton
- continuer
- arreter le script

en ce cas ca charge la page sans attendre que le script finisse
et souvent c'est la page moins divers choses ( variable: comentaires , zones ou fonctions)

par ailleurs tu ne dis rpas grand chose sur le mac
OS quelle version
firefox ( quelle version)

entretien d'OS ou de session
--
ce genre de truc arrive sur des pages lourdes en données avec les firefox anciens, ceux avant FF2.2
souvent à cause de scripts flash 10 pas faits pour OS anciens avec FF2 , mais pour OS récents avec FF3
 

fatalitas

Membre junior
22 Septembre 2007
30
1
Oui, tu as raison, je n'ai pas donné toutes les infos.
Mac OS 10.3.9/ 1,5GHz/ 512 Mo, autrement dit, une antiquité, mais que j'ai essayé tout de même de mener le plus loin possible...
Quant à la version Firefox: 1.5.0.4

La fenêtre est celle que tu décris, oui.
 

pascalformac

Légende
Club MacG
23 Novembre 2003
58 699
1 814
ben voilà
alors tout s'explique

( j'avais du nez)
--
panther et en plus un firefox ultra ultra perimé
( avec si ca se trouve une version de flashplayer dinosaurienne aussi !!)

---
Alors DEUX conseils
1- changer de firefox
officiellement le dernier firefox panther officiel est firefox 2.0.0.20

anciennes versions FF

en passant ce site est une mine
mais il existe des versions officieuses de FF2.0.23
( j'ai utilisé sans souci)

et même mieux !
des versions officieuses retaillées pour tel ou tel type de mac
ca dépend du modele précis de processeur
( utilisées sans souci)

enfin si tu veux une sorte de version de firefox peinarde pour mac
il y a camino 1.6.10
c'est fait PAR mozilla ( gerant de firefox) et qui est très bien
plus sobre et plus simple que FF
( on peut pas y mettrre 3 millions d'extensions)

ne pas prendre camino 2 incompatible
http://www.caminobrowser.org/

là aussi il en existe des versions retaillées
( sans souci)

-----
enfin il faudra probablement desinstaller proprement ton flash ( perimé?)
et mettre le dernier pour panther ( un des derniers 9)
( et pas flash10)

--
et là tu verras que tu auras BEAUCOUP moins de souci

d'ailleurs si tu as FF1.5
le reste doit pas etre au meilleur niveau non plus ni bien entretenu
et ca se redresse ET se booste

( je le sais j'ai eu panther et m'en servais encore en 2010 et il suffisait que je clique arreter le script et ca allait , j'avais 95% de ce qui etait sur la page)
 

fatalitas

Membre junior
22 Septembre 2007
30
1
Pour le processeur, il est écrit: PowerPC G4 (1.1)

Donc si je comprends bien:

-je dois télécharcher la version Firefox 2.0.0.20 ou Camino 1.6.10: et tu aurais une préférence pour ce dernier, c'est ça?

-en revanche: comment on désinstalle "proprement" un flash ?

Merci de ton aide!
 

pascalformac

Légende
Club MacG
23 Novembre 2003
58 699
1 814
bon
une remarque
chez toi , je présume que dans ton bureau ( le meuble pas , le mac) tu n'as pas qu'un seul stylo
sur un ordi c'est pareil
très recommandé d'avoir plusieurs stylos
quand un truc passe pas avec untel passer par un autre
( ici navigateurs, à une époque j'en avais 8 installés ! et ils servaient tous, sur ma configuration actuelle je n'en ai que 4 principaux t j'ai pas encore mis les retaillés)
----
donc prends les 2
Après tu verras lequel tu preferes

ensuite pour les retaillés(pas indispensable) on verra selon le modèle exact ( pas donné)

coté flash
tout dépend du flash
et il y a des dizaines de sujets là dessus
en gros il faut prendre le desinstalleur d'adobe ( macromedia) compatible avec ce mac et ce flash , avant d'installer un neuf
 

fatalitas

Membre junior
22 Septembre 2007
30
1
Plusieurs navigateurs! Oui, tu as raison, bien sûr! Comme M Jourdain, je me servais de plusieurs navigateurs sans le savoir, puisque j'ai encore Safari (même si je m'en sers très peu) et, donc, FF.

J'ai commencé le travail, téléchargé la version que tu m'as recommandé de Firefox.
Questions: j'ai d'abord téléchargé une version en anglais, puis trouvé une version française. Mais comment je me débarrasse de la version anglaise maintenant? J'ai essayé de le mettre à la corbeille, mais elle est toujours là; essayé de l'ejecter dans le finder: "impossible ejecter le disque" me répond l'ordi.
Est-ce qu'il faudra que je me débarrasse de ma vieille version également? Parce que là, j'ai trois versions de FF du coup...

Quant à Camino: je n'arrive pas pour l'instant à télécharger la version que tu m'as conseillé. Je ne trouve que la 2.
 

pascalformac

Légende
Club MacG
23 Novembre 2003
58 699
1 814
bon

Avoir DES versions firefox peut créer des conflits
le mac-et ou firefox paumé
facon bon alors jzefais quoi là , parce que les preferences 1,5 sont codées d'une autre facon que 2,2


il est recommandé
* de faire un choix
( à priori la plus recente)

**de ne PAS garder les fichiers de réglages anciens
ca prend quelques minutes de régler preferences mettre des extensions et reprendre les signets etc
et ce sera du garanti " fait pour et par la version"
on peut choisir de faire autrement mais risque de cafouillages
-
camino?

t'as regardé le site oldapps?
page de 1.69
http://mac.oldapps.com/camino.php?old_camino=32
 

fatalitas

Membre junior
22 Septembre 2007
30
1
Merci! Tu m'as vraiment bien aidé.

Camino, ça y est: téléchargé. Je n'avais pas trouvé ce site.

Par contre, je n'arrive pas à les ranger dans "applications": ils sont dans "bureau". Je ne sais pas si c'est grave.
Dans "application", je n'ai que Firefox daté de 2007; sauf que quand je clique dessus, c'est le nouveau qui s'ouvre. J'ai donc dû bien jeter le vieux et le nouveau en trop que j'avais téléchargé.

Sinon, je dois en effet, avoir d'autres logiciels vieillissant dans mon ordi. Je fais pourtant régulièrement "mise à jour"...
Avec les finances qui ne suivent pas pour renouveler, j'aimerais bien que mon vieux Powerbook tienne encore qq mois.

En tout cas, mon nouveau Firefox semble fonctionner sans problème! Merci encore.
 

pascalformac

Légende
Club MacG
23 Novembre 2003
58 699
1 814
comment t'as installé?

il suffit de gllisser le contenu des dmg ouverts vers Applications
(et ensuite fermer l'image disque)
et ensuite selon les applications
-c'est installé
ou
il faut ouvrir le fichier qui lui fera ll'installation

si c'est ton mac t'es admi donc t'as le droit
si tu n'es pas admi c'est une autre affaire, il faut l'accord (mot de passe) d'un admi pour pouvoir glisser vers Applications ( le central , pas dans le compte utilisateur)